org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsQuality

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextQuality>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsQuality

All Implemented Interfaces:
  IView

    public class ViewStatisticsQuality
    extends ViewStatistics<AnalysisContextQuality>

This view displays results from different quality models

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`MINIMAL_WORKING_TIME`

### Constructor Summary

Constructors
Constructor and Description
`ViewStatisticsQuality(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`LayoutUtility.ViewUtilityType` `getType()` Returns the type

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`dispose, reset, triggerStop, triggerUpdate, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatisticsQuality

    public ViewStatisticsQuality(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 ModelEvent.ModelPart target,
                                 ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -

### Method Detail

#### getType

    public LayoutUtility.ViewUtilityType getType()

Description copied from class: `ViewStatistics`
Returns the type

Specified by:
  `getType` in class `ViewStatistics<AnalysisContextQuality>`
Returns: